## org.hibernate.mapping
Class SimpleAuxiliaryDatabaseObject

    java.lang.Object
      org.hibernate.mapping.AbstractAuxiliaryDatabaseObject
          org.hibernate.mapping.SimpleAuxiliaryDatabaseObject

All Implemented Interfaces:
  Serializable, AuxiliaryDatabaseObject, RelationalModel

    public class SimpleAuxiliaryDatabaseObject

extends AbstractAuxiliaryDatabaseObject

A simple implementation of AbstractAuxiliaryDatabaseObject in which the CREATE and DROP strings are provided up front. Contains simple facilities for templating the catalog and schema names into the provided strings.

This is the form created when the mapping documents use <create/> and <drop/>.

See Also:
  Serialized Form

Constructor Summary
`SimpleAuxiliaryDatabaseObject(String sqlCreateString, String sqlDropString)`
`SimpleAuxiliaryDatabaseObject(String sqlCreateString, String sqlDropString, HashSet dialectScopes)`

Method Summary
`String` `sqlCreateString(Dialect dialect, Mapping p, String defaultCatalog, String defaultSchema)`
`String` `sqlDropString(Dialect dialect, String defaultCatalog, String defaultSchema)`

Methods inherited from class org.hibernate.mapping.AbstractAuxiliaryDatabaseObject
`addDialectScope, appliesToDialect, getDialectScopes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAuxiliaryDatabaseObject

    public SimpleAuxiliaryDatabaseObject(String sqlCreateString,
                                         String sqlDropString)

### SimpleAuxiliaryDatabaseObject

    public SimpleAuxiliaryDatabaseObject(String sqlCreateString,
                                         String sqlDropString,
                                         HashSet dialectScopes)

Method Detail

### sqlCreateString

    public String sqlCreateString(Dialect dialect,
                                  Mapping p,
                                  String defaultCatalog,
                                  String defaultSchema)
                           throws HibernateException

  Throws:
    `HibernateException`

### sqlDropString

    public String sqlDropString(Dialect dialect,
                                String defaultCatalog,
                                String defaultSchema)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.